## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Class AllowNullType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.AllowNullType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class AllowNullType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Allow Null Type', and utility methods for working with them.

See Also:
  `SybaseasabasesqlmodelPackage.getAllowNullType()`, Serialized Form

Field Summary
`static int` `DATABASE_DEFAULT` The 'Database Default' literal value.
`static AllowNullType` `DATABASE_DEFAULT_LITERAL` The 'Database Default' literal object.
`static int` `NOT_NULLABLE` The 'Not Nullable' literal value.
`static AllowNullType` `NOT_NULLABLE_LITERAL` The 'Not Nullable' literal object.
`static int` `NULLABLE` The 'Nullable' literal value.
`static AllowNullType` `NULLABLE_LITERAL` The 'Nullable' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Allow Null Type' enumerators.

Method Summary
`static AllowNullType` `get(int value)` Returns the 'Allow Null Type' literal with the specified integer value.
`static AllowNullType` `get(java.lang.String literal)` Returns the 'Allow Null Type' literal with the specified literal value.
`static AllowNullType` `getByName(java.lang.String name)` Returns the 'Allow Null Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NULLABLE

    public static final int NULLABLE

  The 'Nullable' literal value.

  If the meaning of 'Nullable' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NULLABLE_LITERAL`, Constant Field Values

### NOT_NULLABLE

    public static final int NOT_NULLABLE

  The 'Not Nullable' literal value.

  If the meaning of 'Not Nullable' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NOT_NULLABLE_LITERAL`, Constant Field Values

### DATABASE_DEFAULT

    public static final int DATABASE_DEFAULT

  The 'Database Default' literal value.

  If the meaning of 'Database Default' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DATABASE_DEFAULT_LITERAL`, Constant Field Values

### NULLABLE_LITERAL

    public static final AllowNullType NULLABLE_LITERAL

  The 'Nullable' literal object.

  See Also:
    `NULLABLE`

### NOT_NULLABLE_LITERAL

    public static final AllowNullType NOT_NULLABLE_LITERAL

  The 'Not Nullable' literal object.

  See Also:
    `NOT_NULLABLE`

### DATABASE_DEFAULT_LITERAL

    public static final AllowNullType DATABASE_DEFAULT_LITERAL

  The 'Database Default' literal object.

  See Also:
    `DATABASE_DEFAULT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Allow Null Type' enumerators.

Method Detail

### get

    public static AllowNullType get(java.lang.String literal)

  Returns the 'Allow Null Type' literal with the specified literal value.

### getByName

    public static AllowNullType getByName(java.lang.String name)

  Returns the 'Allow Null Type' literal with the specified name.

### get

    public static AllowNullType get(int value)

  Returns the 'Allow Null Type' literal with the specified integer value.